# PSF-LoginServer - master - net.psforever.objects.inventory.GridInventory
PSF - LoginServer - master - net.psforever.objects.inventory.GridInventory
Keywords: PSF LoginServer master net.psforever.objects.inventory.GridInventory

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package inventory
  Definition Classes
    objects
- Container
- GridInventory
- InventoryDisarrayException
- InventoryEquipmentSlot
- InventoryItem
- InventoryTile
- LocallyRegisteredInventory

o

net.psforever.objects.inventory

# GridInventory 

###
Companion class GridInventory

#### object GridInventory

Source
  GridInventory.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. GridInventory
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final val StandardScaleSort: (InventoryItem, InventoryItem) => Boolean

   The default predicate used by the knapsack sort algorithm.

5.  def apply(width: Int, height: Int, offset: Int): GridInventory

   Overloaded constructor for initializing an inventory of specific dimensions and index offset.

   Overloaded constructor for initializing an inventory of specific dimensions and index offset.

   width

     the horizontal size of the inventory

   height

     the vertical size of the inventory

   offset

     the effective index of the first cell in the inventory

   returns

     a `GridInventory` object

6.  def apply(width: Int, height: Int): GridInventory

   Overloaded constructor for initializing an inventory of specific dimensions.

   Overloaded constructor for initializing an inventory of specific dimensions.

   width

     the horizontal size of the inventory

   height

     the vertical size of the inventory

   returns

     a `GridInventory` object

7.  def apply(): GridInventory

   Overloaded constructor.

   Overloaded constructor.

   returns

     a `GridInventory` object

8.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
9.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
10.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
11.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
12.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
13.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
15.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
16.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
19.  def recoverInventory(list: List[InventoryItem], inv: GridInventory, predicate: (InventoryItem, InventoryItem) => Boolean = StandardScaleSort): (List[InventoryItem], List[Equipment])

    Accepting items that may or may not have previously been in an inventory, determine if there is a tight-fit arrangement for the items in the given inventory.

    Accepting items that may or may not have previously been in an inventory, determine if there is a tight-fit arrangement for the items in the given inventory. Note that arrangement for future insertion.

    list

      a `List` of items to be potentially re-inserted

    inv

      the inventory in which they would be re-inserted in the future

    predicate

      a condition to sort the previous `List` of elements

    returns

      two `List`s of `Equipment`; the first `List` is composed of `InventoryItemData`s that will be reinserted at the new `start` index; the second list is composed of `Equipment` that will not be put back into the inventory

20.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
21.  def toPrintedGrid(inv: GridInventory): String
22.  def toPrintedList(inv: GridInventory): String
23.  def toString(): String
    Definition Classes
      AnyRef → Any
24.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
25.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
26.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped